Subject: Re: bug#12123:

From: Glenn Morris <[email-masked]>
Date: Sun, 07 Apr 2013 22:02:37 -0400

Eli Zaretskii wrote:

> Code in emacs.c that sets invocation-directory relies on argv[0] to
> either be an absolute file name, or relative to cwd, or a base name
> without leading directories that can be found on PATH.

As I said, I think this will cover 99.9+% of cases. Anyone trying to do
anything more obscure just doesn't get to use a relocatable Emacs, IMO.
But of course if you want a totally general solution, go ahead.